=== debian/changelog ===
sortmail (1:2.4-5build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:03:27 +1100

sortmail (1:2.4-5build1) noble; urgency=high

  * No change rebuild against libgdbm-compat4t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:55:24 +0100

sortmail (1:2.4-5) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 23 Aug 2021 21:01:44 -0300

sortmail (1:2.4-4) experimental; urgency=medium

  * QA upload.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/clean: created to allow sortmail build twice.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.5.1.
      - Improved long description.
      - Migrated Vcs-* to Salsa.
  * debian/copyright:
      - Migrated to 1.0 format.
      - Updated all data.
  * debian/patches:
      - Added a numeric prefix to all patch names.
      - 040_fix-manpage.patch: created to fix some issues in manpage.
      - 050_improve-GCC-hardening.patch: created do improve the GCC hardening.
  * debian/rules:
      - Added the DEB_BUILD_MAINT_OPTIONS variable to improve the GCC hardening.
      - Removed the --parallel option from dh because it is the default option
        since DH 10.
      - Removed useless "/bin/true".
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/sortmail.dirs: not needed. Removed.
  * debian/tests/control: created to provide trivial CI tests.
  * debian/upstream/metadata: created.
  * debian/watch: created.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 08 Jul 2021 19:51:55 -0300

sortmail (1:2.4-3) unstable; urgency=medium

  * QA upload.
  * Use the compat gdbm package (Closes: #888753)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 02 Feb 2018 14:35:23 +0100

sortmail (1:2.4-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to QA team (see #790732).
  * Switch to source format 3.0 (quilt).
  * Modernise d/rules:
    - Bump debhelper compat & build dependency to 9 (Closes: #817673).
    - Use dh sequencer, overriding dh_auto_install.
    - Enable --parallel.
    - Add ${misc:Depends} to bin:sortmail dependencies.
    - Add d/examples.
    - Add d/docs.
    - Add d/install.
    - Add d/manpages (Closes: #593763).
  * Apply patch from Mathias Klose to fix build with ld --as-needed
    (Closes: #641440).
  * Add enable-debugging-symbols.patch so dh_strip can generate sortmail-dbgsym.
  * Remove article from description synopsis.
  * Add Vcs-* fields pointing to collab-maint.
  * Add Homepage: field.
  * Declare compliance with policy version 3.9.8.
    - Re-encode d/copyright as UTF-8.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 20 Jun 2016 11:32:51 +0900

sortmail (1:2.4-1) unstable; urgency=low

  * New upstream release (after 12 years!)

 -- Hamish Moffatt <hamish@debian.org>  Thu,  8 Jan 2004 23:20:00 +1100

sortmail (19910421-10) unstable; urgency=low

  * Changed priority from extra to optional
  * Applied patch from Joern "Wulf" Heissler to use <stdarg.h>
    instead of <varargs.h> so sortmail would compile with gcc-3.3
    (closes: #195038)
  * Upgrade to debhelper 4

 -- Hamish Moffatt <hamish@debian.org>  Fri, 11 Jul 2003 00:04:03 +1000

sortmail (19910421-9) unstable; urgency=low

  * Fixed default mail spool path; should be /var/mail,
    not /var/spool/mail

 -- Hamish Moffatt <hamish@debian.org>  Wed, 16 Jan 2002 08:22:33 +1100

sortmail (19910421-8) unstable; urgency=low

  * Applied patch to included prototypes for all functions
    that return 64-bit integers. Thanks to John R. Daily
    (closes: #126741)
  * Fixed default mail spool path in /usr/bin/sortmail and
    sortmail(1) (was /usr/spool/mail, now /var/spool/mail).
    Changelog says this was fixed in 1998, wonder what
    happened to that....

 -- Hamish Moffatt <hamish@debian.org>  Sun, 30 Dec 2001 12:15:56 +1100

sortmail (19910421-7) unstable; urgency=low

  * Applied patch to remove use of sys_errlist[] and MAXPATHLEN,
    which don't apply on Hurd. Thanks to Nick Rusnov
    and James Morrison for patches. (closes: #106961, #106964)

 -- Hamish Moffatt <hamish@debian.org>  Sat, 11 Aug 2001 12:21:59 +1000

sortmail (19910421-6) frozen unstable; urgency=low

  * Added header checks for CC and cc (not just Cc) (closes: #105284)
  * Fixed bug in fprintf of error messages when temporary files
    couldn't be created (closes: #43367)

 -- Hamish Moffatt <hamish@debian.org>  Sun, 22 Jul 2001 22:00:14 +1000

sortmail (19910421-5) frozen unstable; urgency=low

  * FHS compliant
  * Converted from debstd to debhelper

 -- Hamish Moffatt <hamish@debian.org>  Fri,  1 Oct 1999 19:20:13 +1000

sortmail (19910421-4) frozen unstable; urgency=low

  * Fixed manual page, which said use "set logfilename=" but should
    have said "set logfile=". Reported by <chandran@c9c1.erols.com>

 -- Hamish Moffatt <hamish@debian.org>  Sat, 21 Nov 1998 15:55:00 +1100

sortmail (19910421-3) frozen unstable; urgency=low

  * Changed default mail spool directory from /usr/spool/mail to
    /var/spool/mail, fixes #28994

 -- Hamish Moffatt <hamish@debian.org>  Sat, 21 Nov 1998 15:42:00 +1100

sortmail (19910421-2) frozen unstable; urgency=low

  * Corrected maintainer email address

 -- Hamish Moffatt <hamish@debian.org>  Tue, 24 Mar 1998 23:30:00 +1100

sortmail (19910421-1) unstable; urgency=low

  * Initial Release.

 -- Hamish Moffatt <hamish@debian.org>  Sun, 23 Nov 1997 21:24:58 +1100
