=== debian/control ===
Source: sortmail
Section: mail
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), libgdbm-dev, libgdbm-compat-dev
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: http://sortmail.sourceforge.net/
Vcs-Browser: https://salsa.debian.org/debian/sortmail
Vcs-Git: https://salsa.debian.org/debian/sortmail.git

Package: sortmail
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: simple mail sorter
 Sortmail is a simple mail sorter you can use in your .forward to sort
 your mail into folders automatically, delete unwanted mail, etc.
 .
 Sortmail process incoming email, classify it, and process it accordingly.
 Sortmail can handle incoming email as it arrives, or download from a POP
 server. Sortmail is easier to configure than procmail, and can replace
 fetchmail. Sortmail uses config files which are similar to rn KILLfiles.
 .
 Full features list:
   - Process email delivered via SMPT, or downloaded via POP or IMAP.
   - Post-process an existing mail folder.
   - Select messages based on specific header lines, based on the entire
     header, or even the message body.
   - File messages to folders, send to inbox, forward to other email
     addresses, append to digest, pipe through shell command or just junk
     them.
   - Regular expression matching or IP address range matching.
   - Full boolean expressions of any complexity.
   - Basic mailing-list processing functionality.
