=== debian/tests/control ===
Test-Command: sortmail -h 2>&1 | egrep -C 20 Usage
Restrictions: superficial

Test-Command: sortmail -v
Restrictions: allow-stderr, superficial

Test-Command: sortmail -verify
Restrictions: superficial
