## sortmail 19910421

=== Makefile ===

#DBG = -g -DDEBUG
DBG = -O

# SunOS 4.x
#CFLAGS = ${DBG}
#LDFLAGS = -n -Bdynamic -s

# SunOS 5.x
CFLAGS = ${DBG} -DSVr4
LDFLAGS =

#CC = gcc

SRCS = sortmail.c parse.c regex.c

HDRS = sortmail.h regex.h

OBJS = $(SRCS:.c=.o)

DOC = sortmail.1 sample.forward sample.sortmailrc

sortmail: $(OBJS)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $(OBJS) $(LIB)

archive: Makefile $(HDRS) $(SRCS) $(DOC)
	shar $(DOC) Makefile $(HDRS) $(SRCS) > archive

clean:
	-rm *.o archive
